## vile 9.6m-1

=== debian/changelog ===
vile (9.6m-1) unstable; urgency=low

  * New upstream release. 

 -- Paul van Tilburg <paulvt@debian.org>  Fri, 09 May 2008 08:07:12 +0200

vile (9.6-l1) unstable; urgency=low

  * New upstream release. 

 -- Paul van Tilburg <paulvt@debian.org>  Sun, 27 Apr 2008 14:04:05 +0200

vile (9.6-k1) unstable; urgency=low

  * New upstream release.
  * Added provides field for "editor" for vile and xvile (closes: #398755). 

 -- Paul van Tilburg <paulvt@debian.org>  Sat, 12 Apr 2008 10:04:55 +0200

vile (9.6-j1) unstable; urgency=low

  * New upstream release. 
  * Updates with respect to policy:
    - debian/rules: 
      * removed DH_COMPAT declaration, use debian/compat.
      * install the vile lintian override; man-page for vile
        is in vile-common, not vile, so lintian should ignore it.
    - debian/compat: addded, set to 5. 
    - debian/control: 
      * replaced ${Source-Version} by ${source:Version} to allow for
        binNMUs (closes: #435962).
      * bumped standards version to 3.7.3.
      * fixed versioned build-depend on libxaw7-dev.
      * modified build-depend on debhelper to >= 5.
    - debian/copyright: small textual fix.
    - debian/*.menu: fixed quotation and section names.

 -- Paul van Tilburg <paulvt@debian.org>  Wed, 26 Mar 2008 13:31:38 +0100

vile (9.6-i1) unstable; urgency=low

  * New upstream version, and a bunch of patches.
  * Add Paul van Tilburg as uploader.

 -- Brendan O'Dea <bod@debian.org>  Sun, 16 Mar 2008 22:52:08 +1100

vile (9.5-s1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Tue, 27 Nov 2007 10:21:43 +1100

vile (9.5-r1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Mon, 17 Sep 2007 12:12:33 +1000

vile (9.5-i1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Fri,  2 Jun 2006 08:58:36 +1000

vile (9.5-h1) unstable; urgency=low

  * New upstream patch version.
  * Interim fix from Tom for a case in bsizes() which subtracted
    line-ending from zero-sized buffer when nonewline mode was set. 
    Closes: #368007.

 -- Brendan O'Dea <bod@debian.org>  Thu, 25 May 2006 22:35:20 +1000

vile (9.5-g2) unstable; urgency=low

  * Move pixmaps from /usr/X11R6 to /usr/share .

 -- Brendan O'Dea <bod@debian.org>  Mon, 24 Apr 2006 06:06:15 +1000

vile (9.5-g1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Tue,  4 Apr 2006 23:54:22 +1000

vile (9.5-d1) unstable; urgency=low

  * New upstream patch version.
  * Update debhelper to v5.

 -- Brendan O'Dea <bod@debian.org>  Mon,  5 Dec 2005 00:02:15 +1100

vile (9.5-b1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Tue,  4 Oct 2005 22:20:32 +1000

vile (9.5-1) unstable; urgency=low

  * New upstream version.

 -- Brendan O'Dea <bod@debian.org>  Fri, 29 Jul 2005 13:07:44 +1000

vile (9.4-za1) unstable; urgency=low

  * New upstream patch version.
  * Remove emacs settings from changelog.
  * Move xshell.sh to /usr/share/vile (in arch all package -common).

 -- Brendan O'Dea <bod@debian.org>  Sat, 16 Jul 2005 12:56:43 +1000

vile (9.4-z1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Mon,  4 Jul 2005 00:50:04 +1000

vile (9.4-y1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Wed, 22 Jun 2005 00:21:53 +1000

vile (9.4-w1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Wed,  8 Jun 2005 21:48:37 +1000

vile (9.4-v1) unstable; urgency=low

  * New upstream patch version.
  * Cosmetic change to the "unpatch" target: drop "Prereq:" lines.

 -- Brendan O'Dea <bod@debian.org>  Fri,  3 Jun 2005 10:56:53 +1000

vile (9.4-t1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Sat, 21 May 2005 17:15:15 +1000

vile (9.4-s1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Wed, 30 Mar 2005 16:02:08 +1000

vile (9.4-r1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Tue, 15 Mar 2005 00:28:38 +1100

vile (9.4-q1) unstable; urgency=low

  * New upstream patch version.  Fixes two issues related to rbmode
    (closes: #292652).

  * Update xvile app-defaults:
    + copy colours from example XVile.ad,
    + set focusFollowsMouse and forkOnStartup options, and
    + set cursor colour so it is visible over highlighted text
      (closes: #235182).

 -- Brendan O'Dea <bod@debian.org>  Mon, 14 Feb 2005 13:27:24 +1100

vile (9.4-p1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Sat, 12 Feb 2005 07:48:10 +1100

vile (9.4-o1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Wed, 26 Jan 2005 07:59:45 +1100

vile (9.4-k1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Mon,  8 Nov 2004 23:18:25 +1100

vile (9.4-j1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Wed,  3 Nov 2004 02:03:02 +1100

vile (9.4-h1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Thu,  1 Jul 2004 22:18:46 +1000

vile (9.4-f1) unstable; urgency=low

  * New upstream patch version.
  * Change build dependency from xlibs-dev to libxaw7-dev.

 -- Brendan O'Dea <bod@debian.org>  Sun, 18 Apr 2004 14:20:14 +1000

vile (9.4-d1) unstable; urgency=low

  * New upstream patch version.

 -- Brendan O'Dea <bod@debian.org>  Sun, 15 Feb 2004 17:40:25 +1100

vile (9.4-c2) unstable; urgency=low

  * Invert flex-old/flex build-depends.

 -- Brendan O'Dea <bod@debian.org>  Sat,  8 Nov 2003 00:53:58 +1100

vile (9.4-c1) unstable; urgency=low

  * New upstream patch version.
  * Build filters as shared objects rather than executables.

