=== debian/control ===
Source: vile
Section: editors
Priority: optional
Maintainer: Brendan O'Dea <bod@debian.org>
Uploaders: Paul van Tilburg <paulvt@debian.org>
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5), flex-old | flex (<< 2.5.5), libncurses5-dev, libperl-dev (>= 5.8.1-3), libxaw7-dev (>= 4.3.0)

Package: vile-common
Architecture: all
Depends: libio-pty-perl
Recommends: vile | xvile
Suggests: vile-filters
Replaces: vile (<< 9.2g-1)
Description: VI Like Emacs - support files for vile/xvile
 Shared files for the vile and xvile editors.

Package: vile
Architecture: any
Depends: vile-common (= ${source:Version}), ${shlibs:Depends}
Provides: editor
Description: VI Like Emacs - vi work-alike
 vile is a text editor which is extremely compatible with vi in terms of
 ``finger feel''.  In addition, it has extended capabilities in many areas,
 notably multi-file editing and viewing, syntax highlighting, key rebinding,
 an optional embedded perl interpreter, and real X window system support.
 .
 This package contains the character-mode binary.  Required support files
 are contained in vile-common.  Source code highlighting filters are in
 vile-filters.  An X11 binary is in the xvile package.

Package: vile-filters
Architecture: any
Depends: vile-common (= ${source:Version}), ${shlibs:Depends}
Description: VI Like Emacs - highlighting filters for vile/xvile
 Text highlighting filters for various languages and file formats for
 the vile and xvile editors.

Package: xvile
Architecture: any
Depends: vile-common (= ${source:Version}), ${shlibs:Depends}
Provides: editor
Conflicts: xvile-xt, xvile-xaw, xvile-xm
Replaces: xvile-xt, xvile-xaw, xvile-xm
Description: VI Like Emacs - vi work-alike (X11)
 vile is a text editor which is extremely compatible with vi in terms of
 ``finger feel''.  In addition, it has extended capabilities in many areas,
 notably multi-file editing and viewing, syntax highlighting, key rebinding,
 an optional embedded perl interpreter, and real X window system support.
 .
 This package contains the X11 binary.  Required support files are
 contained in vile-common.  Source code highlighting filters are in
 vile-filters.  A character-mode binary is in the vile package.
