## vile 9.8f-2

=== debian/changelog ===
vile (9.8f-2) unstable; urgency=low

  * Apply 9.8f2 patch from Tom to fix a regression with nohl when no
    majormode is in effect.

 -- Brendan O'Dea <bod@debian.org>  Thu, 29 Dec 2011 13:48:33 +1100

vile (9.8f-1) unstable; urgency=low

  * Revert changes to configure.
  * Switched maintainer/uploader roles back again.
  * New upstream release.
  * Revise DEFAULT_XSHELL handling again.

 -- Brendan O'Dea <bod@debian.org>  Mon, 28 Nov 2011 22:00:14 +1100

vile (9.8e-3) unstable; urgency=low

  * Revise setting of DEFAULT_XSHELL, passing to the build step for xvile
    rather than through configure flags.

 -- Brendan O'Dea <bod@debian.org>  Sun, 21 Aug 2011 09:00:12 +1000

vile (9.8e-2) unstable; urgency=low

  * Dump config.log when configure is killed in an attempt to divine why
    s390/armel builds are failing.

 -- Brendan O'Dea <bod@debian.org>  Sat, 20 Aug 2011 20:10:46 +1000

vile (9.8e-1) unstable; urgency=low

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Mon, 11 Apr 2011 21:27:35 +1000

vile (9.8d-1) unstable; urgency=low

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Wed, 29 Dec 2010 13:11:55 +1100

vile (9.8c-1) unstable; urgency=low

  * New upstream release.
  * Remove deprecated DH_COMPAT in debian/rules, adding debian/compat.
  * Move to standards version 3.9.1.

 -- Brendan O'Dea <bod@debian.org>  Tue, 28 Dec 2010 11:18:12 +1100

vile (9.8b-2) unstable; urgency=low

  * Remove debian/compat in favour of exported DH_COMPAT in debian/rules.

 -- Brendan O'Dea <bod@debian.org>  Mon, 27 Sep 2010 22:35:40 +1000

vile (9.8b-1) unstable; urgency=low

  * New upstream release.
  * Revise the way in which debian/rules builds vile-filters, as now that
    plink.sh is used is it no longer necessary to build the filters in a
    separate step.
  * Require debhelper 8, and rename stamp.* files to *-stamp (which dh_clean
    removes automatically since v7).

 -- Brendan O'Dea <bod@debian.org>  Mon, 27 Sep 2010 13:09:01 +1000

vile (9.8-1) unstable; urgency=low

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Thu, 12 Aug 2010 05:52:24 +1000

vile (9.7ze-1) unstable; urgency=low

  * New upstream release.
  * Move to standards version 3.9.0.
  * Add ${misc:Depends} to packages (lintian).
  * Explicitly select .desktop files for install (not installing lxvile at this
    time).

 -- Brendan O'Dea <bod@debian.org>  Mon, 05 Jul 2010 21:09:45 +1000

vile (9.7zd-1) unstable; urgency=low

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Mon, 31 May 2010 22:41:04 +1000

vile (9.7zc-1) unstable; urgency=low

  * New upstream release.
  * configure.in: wrap CF_RPATH_HACK with an option to allow this behaviour to
    be suppressed.

 -- Brendan O'Dea <bod@debian.org>  Sun, 11 Apr 2010 19:51:46 +1000

vile (9.7za-1) unstable; urgency=low

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Fri, 29 Jan 2010 20:48:59 +1100

vile (9.7z-1) unstable; urgency=low

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Fri, 08 Jan 2010 21:57:10 +1100

vile (9.7y-1) unstable; urgency=low

  * New upstream release.
  * Include html docs.

 -- Brendan O'Dea <bod@debian.org>  Tue, 29 Dec 2009 18:37:25 +1100

vile (9.7x-2) unstable; urgency=low

  * xvile replaces vile-common after moving xvile.sh.
  * remove ancient conflcts on xvile-{xt,xaw,xm}.
  * install view alternative (closes: #399321).

 -- Brendan O'Dea <bod@debian.org>  Wed, 25 Nov 2009 00:00:25 +1100

vile (9.7x-1) unstable; urgency=low

  * New upstream release.
  * Use upstream app-defaults file.
  * Install .desktop files.
  * Install uxvile.
  * Move xshell.sh and vilemenu.rc to xvile package.
  * Fix desktop category.
  * Add description of uxvile to vile.1.

 -- Brendan O'Dea <bod@debian.org>  Thu, 19 Nov 2009 17:46:51 +1100

vile (9.7v-1) unstable; urgency=low

  * New upstream release. 

 -- Paul van Tilburg <paulvt@debian.org>  Tue, 13 Oct 2009 14:20:36 +0200

vile (9.7u-1) unstable; urgency=low

  * New upstream release. 
  * Bumped standards version to 3.8.3; no changes required. 

 -- Paul van Tilburg <paulvt@debian.org>  Tue, 25 Aug 2009 11:07:24 +0200

vile (9.7t-2) unstable; urgency=low

  * There are after all still some issues with flex.  Reverting to
    flex-old again.

 -- Brendan O'Dea <bod@debian.org>  Thu, 16 Jul 2009 19:58:59 +1000

vile (9.7t-1) unstable; urgency=low

  * New upstream release.
  * flex now appears to work: remove flex-old from Build-Depends.

 -- Brendan O'Dea <bod@debian.org>  Sun, 05 Jul 2009 18:36:15 +1000

vile (9.7s-1) unstable; urgency=low

  * New upstream release.
  * Set DEFAULT_XSHELL to use x-terminal-emulator via debian/rules.
  * Remove debian/patches/z50_debian_use_x-terminal-emulator.

 -- Brendan O'Dea <bod@debian.org>  Tue, 09 Jun 2009 00:44:21 +1000

vile (9.7r2-1) unstable; urgency=low

  * New patch release, resolves issues with file permissions of 
    ~/.vilerc. 

 -- Paul van Tilburg <paulvt@debian.org>  Thu, 28 May 2009 13:44:53 +0200

vile (9.7r-1) unstable; urgency=low

  * New upstream release. 

 -- Paul van Tilburg <paulvt@debian.org>  Tue, 26 May 2009 11:58:00 +0200

vile (9.7o-1) unstable; urgency=low

  * New upstream release. 

 -- Paul van Tilburg <paulvt@debian.org>  Mon, 27 Apr 2009 13:42:53 +0200

vile (9.7m-1) unstable; urgency=low

  * New upstream release. 
  * Switched maintainer and uploader roles between me and Brendan O'Dea.
  * Bumped standards version to 3.8.1; no changes required.

 -- Paul van Tilburg <paulvt@debian.org>  Mon, 23 Mar 2009 13:00:32 +0100

vile (9.7l-1) unstable; urgency=low

  * New upstream release. 

 -- Paul van Tilburg <paulvt@debian.org>  Sat, 28 Feb 2009 23:54:46 +0100

vile (9.7k-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: be more specific about the GPL license version.

 -- Paul van Tilburg <paulvt@debian.org>  Tue, 24 Feb 2009 11:01:26 +0100

vile (9.7j-1) unstable; urgency=low

  * New upstream release. 

