=== package/debian/changelog ===
vile (9.8f) unstable; urgency=low

  * build-fix for winvile with ole.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 11 Apr 2011 18:24:05 -0400

vile (9.8e) unstable; urgency=low

  * build-fix for xvile with cygwin.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Wed, 29 Dec 2010 13:57:20 -0500

vile (9.8d) unstable; urgency=low

  * merge changes from Debian package scripts for 9.8c.
  * extend built-in locale support.
  * add $kbd-encoding variable.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 12 Dec 2010 16:43:25 -0500

vile (9.8c) unstable; urgency=low

  * add built-in character encoding tables.
  * code-cleanup

 -- Thomas E. Dickey <dickey@invisible-island.net>  Wed, 10 Nov 2010 05:58:29 -0500

vile (9.8b) unstable; urgency=low

  * build-fix for Ubuntu dpkg.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Thu, 09 Sep 2010 18:07:26 -0400

vile (9.8a) unstable; urgency=low

  * build-fixes for very-old platforms, e.g., OS/2.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Thu, 12 Aug 2010 17:04:05 -0400

vile (9.8) unstable; urgency=low

  * major release

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 08 Aug 2010 13:59:07 -0400

vile (9.7zg) unstable; urgency=low

  * fixes for map command

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 25 Jul 2010 06:30:51 -0400

vile (9.7zf) unstable; urgency=low

  * add Debian scripts to upstream source, for test-builds.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Tue, 13 Jul 2010 07:53:15 -0400
