=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Brendan O'Dea <bod@debian.org>
 Uploaders: Paul van Tilburg <paulvt@debian.org>
-Standards-Version: 3.7.3
-Build-Depends: debhelper (>= 5), flex-old | flex (<< 2.5.5), libncurses5-dev, libperl-dev (>= 5.8.1-3), libxaw7-dev (>= 4.3.0)
+Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8), flex-old | flex (<< 2.5.5), libncurses5-dev, libperl-dev (>= 5.8.1-3), libxaw7-dev (>= 4.3.0)
+Vcs-Git: git://git.debian.org/collab-maint/vile.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/vile.git
 
 Package: vile-common
 Architecture: all
-Depends: libio-pty-perl
+Depends: libio-pty-perl, ${misc:Depends}
 Recommends: vile | xvile
 Suggests: vile-filters
 Replaces: vile (<< 9.2g-1)
@@ -17,7 +19,7 @@
 
 Package: vile
 Architecture: any
-Depends: vile-common (= ${source:Version}), ${shlibs:Depends}
+Depends: vile-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Provides: editor
 Description: VI Like Emacs - vi work-alike
  vile is a text editor which is extremely compatible with vi in terms of
@@ -31,17 +33,16 @@
 
 Package: vile-filters
 Architecture: any
-Depends: vile-common (= ${source:Version}), ${shlibs:Depends}
+Depends: vile-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: VI Like Emacs - highlighting filters for vile/xvile
  Text highlighting filters for various languages and file formats for
  the vile and xvile editors.
 
 Package: xvile
 Architecture: any
-Depends: vile-common (= ${source:Version}), ${shlibs:Depends}
+Depends: vile-common (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Provides: editor
-Conflicts: xvile-xt, xvile-xaw, xvile-xm
-Replaces: xvile-xt, xvile-xaw, xvile-xm
+Replaces: vile-common (<< 9.7x-1)
 Description: VI Like Emacs - vi work-alike (X11)
  vile is a text editor which is extremely compatible with vi in terms of
  ``finger feel''.  In addition, it has extended capabilities in many areas,
