## vile 9.8g-2

=== debian/changelog ===
vile (9.8g-2) unstable; urgency=low

  * Recommend xfonts-75dpi and xfonts-100dpi for xvile, which specifies
    fonts from both in XVile.ad and vilemenu.rc (thanks to Jonathan
    Nieder, closes: #563250).

 -- Brendan O'Dea <bod@debian.org>  Sun, 03 Jun 2012 11:02:54 +1000

vile (9.8g-1) unstable; urgency=low

  * New upstream release.
  * Use dpkg-buildflags to pass compiler/linker flags to configure.  Add
    build-depends on dpkg-dev.

 -- Brendan O'Dea <bod@debian.org>  Mon, 12 Mar 2012 04:57:40 +1100
