=== package/debian/changelog ===
vile (9.8g) unstable; urgency=low

  * miscellaneous fixes.

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 11 Dec 2011 09:37:35 -0500
