=== debian/rules ===
--- 
+++ 
@@ -15,17 +15,10 @@
     --with-locale \
     --with-loadable-filters=all \
     --disable-rpath-hack \
-    --with-cflags=-O2
+    $(shell dpkg-buildflags --export=configure)
 
 # install path for upstream make
 TMP = $(CURDIR)/debian/tmp
-
-# add -g if DEB_BUILD_OPTIONS contains the string "debug" (policy 11.1)
-ifeq ($(findstring debug,$(DEB_BUILD_OPTIONS)),)
-    debug =
-else
-    debug = -g
-endif
 
 xshell = x-terminal-emulator -e /usr/share/vile/xshell.sh
