## vile 9.8t-3

=== debian/changelog ===
vile (9.8t-3) unstable; urgency=medium

  * Use dh_auto_configure as per suggestion of Helmut Grohne to fix
    cross-compilation issues (closes: #932934).
  * Install filters and helper binaries to multi-arch libdir.

 -- Brendan O'Dea <bod@debian.org>  Fri, 26 Jul 2019 20:03:33 +1000

vile (9.8t-2) unstable; urgency=medium

  * Change build dependency from flex-old back to flex (closes: #932560).

 -- Brendan O'Dea <bod@debian.org>  Sun, 21 Jul 2019 17:21:26 +1000

vile (9.8t-1) unstable; urgency=medium

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Tue, 13 Nov 2018 22:35:30 +1100

vile (9.8s-5) unstable; urgency=medium

  * Move repository to salsa.debian.org.
  * Update Vcs-Git/Vcs-Browser.
  * Update to policy 4.1.3 (no changes).

 -- Brendan O'Dea <bod@debian.org>  Tue, 06 Feb 2018 22:08:06 +1100

vile (9.8s-4) unstable; urgency=medium

  * Update Vcs-Browser.

 -- Brendan O'Dea <bod@debian.org>  Sat, 19 Aug 2017 00:34:02 +1000

vile (9.8s-3) unstable; urgency=medium

  * Use dh_update_autotools_config to update config.{guess,sub} thanks to
    a helpful suggestion from Niels Thykier in response to #869541.

 -- Brendan O'Dea <bod@debian.org>  Mon, 24 Jul 2017 20:30:59 +1000

vile (9.8s-2) unstable; urgency=medium

  * Update to policy 4.0.0:
    - update config.guess, config.sub
    - remove menu files (deprecated in favour of freedesktop files)
  * Update debhelper for version 10.
  * Fix dependency on vile-common (closes: #869429).

 -- Brendan O'Dea <bod@debian.org>  Mon, 24 Jul 2017 13:30:19 +1000

vile (9.8s-1) unstable; urgency=medium

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Mon, 19 Dec 2016 01:12:41 +1100

vile (9.8r-3) unstable; urgency=medium

  * Re-build for Perl 5.24.

 -- Brendan O'Dea <bod@debian.org>  Sun, 25 Sep 2016 20:49:17 +1000

vile (9.8r-2) unstable; urgency=medium

  * Revert flex dependency back to flex-old, as configure doesn't
    correctly handle flex 2.6.0 (closes: #832973).

 -- Brendan O'Dea <bod@debian.org>  Sun, 31 Jul 2016 12:40:40 +1000

vile (9.8r-1) unstable; urgency=medium

  * New upstream release.
  * Simplify debian/rules and drop the option for conditionally building
    packages (this was useful when there were multiple X toolkit options,
    not so much today).
  * Pass --disable-stripping to configure such that -dbgsym packages are
    correctly created.
  * Use --link-doc option of dh_installdocs instead of explicitly creating
    the doc links.
  * Rename debian/README.Debian to explicitly put it into the vile-common
    package.

 -- Brendan O'Dea <bod@debian.org>  Thu, 28 Jul 2016 22:03:26 +1000

vile (9.8q-1) unstable; urgency=medium

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Fri, 11 Sep 2015 20:36:58 +1000

vile (9.8p-1) unstable; urgency=medium

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Mon, 02 Feb 2015 19:46:14 +1100

vile (9.8o-1) unstable; urgency=medium

  * New upstream release.
  * Fix VCS control fields.
  * Update to standards version 3.9.5.

 -- Brendan O'Dea <bod@debian.org>  Thu, 02 Oct 2014 21:22:42 +1000

vile (9.8n-1) unstable; urgency=medium

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Mon, 07 Jul 2014 21:46:04 +1000

vile (9.8m-1) unstable; urgency=medium

  * New upstream release.
  * Use INT2PTR and PTR2IV macros rather than an explicit cast in perl.xs
    and ptypemap.

 -- Brendan O'Dea <bod@debian.org>  Mon, 31 Mar 2014 21:56:34 +1100

vile (9.8l-1) unstable; urgency=medium

  * New upstream release.
  * Switch build dependency from flex-old to flex which is now supported.

 -- Brendan O'Dea <bod@debian.org>  Sun, 02 Feb 2014 11:26:22 +1100

vile (9.8k-1) unstable; urgency=low

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Tue, 16 Jul 2013 21:04:49 +1000

vile (9.8j-3) unstable; urgency=low

  * Fix perl inplace editing for files with multi-byte encoding.
  * Another POD documentation fix for Perl 5.18 (closes: #708027).

 -- Brendan O'Dea <bod@debian.org>  Tue, 21 May 2013 19:44:01 +1000

vile (9.8j-2) unstable; urgency=low

  * Fix POD documentation to work with Perl 5.18 (closes: #708027).
  * Locate xsubpp/typemap via @INC.

 -- Brendan O'Dea <bod@debian.org>  Mon, 13 May 2013 19:03:22 +1000

vile (9.8j-1) unstable; urgency=low

  * New upstream release.

 -- Brendan O'Dea <bod@debian.org>  Mon, 15 Apr 2013 22:06:33 +1000

vile (9.8i-2) unstable; urgency=low

  * Use .1 suffix for X11 manpages rather than .1x.
  * Explicitly use 1.0 source format.

 -- Brendan O'Dea <bod@debian.org>  Sun, 14 Apr 2013 09:22:21 +1000

vile (9.8i-1) unstable; urgency=low

  * New upstream release.
  * Install vile-perl-api.doc, and docs for perl modules.
  * Fix some minor errors in pod files.

 -- Brendan O'Dea <bod@debian.org>  Mon, 24 Sep 2012 13:46:26 +1000

vile (9.8h-1) unstable; urgency=low

  * New upstream release.
  * Revise icon/pixmap handling to match upstream changes.

 -- Brendan O'Dea <bod@debian.org>  Fri, 24 Aug 2012 16:16:05 +1000
